Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.functions.pace
Class FloatingPointFormat

    java.lang.Object
      java.text.Format
          java.text.NumberFormat
              java.text.DecimalFormat
                  weka.classifiers.functions.pace.FloatingPointFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class FloatingPointFormat

extends java.text.DecimalFormat

Class for the format of floating point numbers

Version:
  $Revision: 1.2.2.1 $
Author:
  Yong Wang
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.text.NumberFormat
`java.text.NumberFormat.Field`

Field Summary

Fields inherited from class java.text.NumberFormat
`FRACTION_FIELD, INTEGER_FIELD`

Constructor Summary
`FloatingPointFormat()` Default constructor
`FloatingPointFormat(int digits)`
`FloatingPointFormat(int w, int d)`
`FloatingPointFormat(int w, int d, boolean trailingZeros)`

Method Summary
`java.lang.StringBuffer` | `format(double number, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos)`
`static java.lang.String` | `pattern(int w, int d)`
`int` | `width()`

Methods inherited from class java.text.DecimalFormat
`applyLocalizedPattern, applyPattern, clone, equals, format, format, formatToCharacterIterator, getCurrency, getDecimalFormatSymbols, getGroupingSize, getMaximumFractionDigits, getMaximumIntegerDigits, getMinimumFractionDigits, getMinimumIntegerDigits, getMultiplier, getNegativePrefix, getNegativeSuffix, getPositivePrefix, getPositiveSuffix, hashCode, isDecimalSeparatorAlwaysShown, isParseBigDecimal, parse, setCurrency, setDecimalFormatSymbols, setDecimalSeparatorAlwaysShown, setGroupingSize, setMaximumFractionDigits, setMaximumIntegerDigits, setMinimumFractionDigits, setMinimumIntegerDigits, setMultiplier, setNegativePrefix, setNegativeSuffix, setParseBigDecimal, setPositivePrefix, setPositiveSuffix, toLocalizedPattern, toPattern`

Methods inherited from class java.text.NumberFormat
`format, format, getAvailableLocales, getCurrencyInstance, getCurrencyInstance, getInstance, getInstance, getIntegerInstance, getIntegerInstance, getNumberInstance, getNumberInstance, getPercentInstance, getPercentInstance, isGroupingUsed, isParseIntegerOnly, parse, parseObject, setGroupingUsed, setParseIntegerOnly`

Methods inherited from class java.text.Format
`format, parseObject`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatingPointFormat

    public FloatingPointFormat()

  Default constructor

### FloatingPointFormat

    public FloatingPointFormat(int digits)

### FloatingPointFormat

    public FloatingPointFormat(int w,
                               int d)

### FloatingPointFormat

    public FloatingPointFormat(int w,
                               int d,
                               boolean trailingZeros)

Method Detail

### format

    public java.lang.StringBuffer format(double number,
                                         java.lang.StringBuffer toAppendTo,
                                         java.text.FieldPosition pos)

  Overrides:
    `format` in class `java.text.DecimalFormat`

### pattern

    public static java.lang.String pattern(int w,
                                           int d)

### width

    public int width()

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD